<html>
<head>
<title>OgreExternalTextureSourceManager.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreExternalTextureSourceManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreExternalTextureSourceManager_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef _OgreExternalTextureSourceManager_H</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define _OgreExternalTextureSourceManager_H</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="comment">/***************************************************************************</span>
<a name="l00032"></a>00032 <span class="comment">OgreExternalTextureSourceManager.h  -  </span>
<a name="l00033"></a>00033 <span class="comment">    Handles the registering / unregistering of texture modifier plugins</span>
<a name="l00034"></a>00034 <span class="comment"></span>
<a name="l00035"></a>00035 <span class="comment">-------------------</span>
<a name="l00036"></a>00036 <span class="comment">date                 : Jan 1 2004</span>
<a name="l00037"></a>00037 <span class="comment">email                : pjcast@yahoo.com</span>
<a name="l00038"></a>00038 <span class="comment">***************************************************************************/</span>
<a name="l00039"></a>00039 <span class="preprocessor">#include &quot;<a class="code" href="OgreSingleton_8h.html">OgreSingleton.h</a>&quot;</span>
<a name="l00040"></a>00040 <span class="preprocessor">#include &quot;<a class="code" href="OgreString_8h.html">OgreString.h</a>&quot;</span>
<a name="l00041"></a>00041 <span class="preprocessor">#include &quot;<a class="code" href="OgreResourceGroupManager_8h.html">OgreResourceGroupManager.h</a>&quot;</span>
<a name="l00042"></a>00042 <span class="preprocessor">#include &quot;<a class="code" href="OgreExternalTextureSource_8h.html">OgreExternalTextureSource.h</a>&quot;</span>
<a name="l00043"></a>00043 
<a name="l00044"></a>00044 <span class="keyword">namespace </span>Ogre
<a name="l00045"></a>00045 {
<a name="l00055"></a><a class="code" href="classOgre_1_1ExternalTextureSourceManager.html">00055</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1ExternalTextureSourceManager.html" title="Singleton Class which handles the registering and control of texture plugins.">ExternalTextureSourceManager</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>&lt;ExternalTextureSourceManager&gt;, <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">ResourceAlloc</a>
<a name="l00056"></a>00056     {
<a name="l00057"></a>00057     <span class="keyword">public</span>:
<a name="l00059"></a>00059         <a class="code" href="classOgre_1_1ExternalTextureSourceManager.html" title="Singleton Class which handles the registering and control of texture plugins.">ExternalTextureSourceManager</a>();
<a name="l00061"></a>00061         ~<a class="code" href="classOgre_1_1ExternalTextureSourceManager.html" title="Singleton Class which handles the registering and control of texture plugins.">ExternalTextureSourceManager</a>();
<a name="l00062"></a>00062 
<a name="l00064"></a>00064         <span class="keywordtype">void</span> setCurrentPlugIn( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; sTexturePlugInType );
<a name="l00065"></a>00065 
<a name="l00067"></a><a class="code" href="classOgre_1_1ExternalTextureSourceManager.html#a57795017d3d3db938246b677729b4f16">00067</a>         <a class="code" href="classOgre_1_1ExternalTextureSource.html" title="IMPORTANT: **Plugins must override default dictionary name!** Base class that texture plugins derive ...">ExternalTextureSource</a>* <a class="code" href="classOgre_1_1ExternalTextureSourceManager.html#a57795017d3d3db938246b677729b4f16" title="Returns currently selected plugin, may be null if none selected.">getCurrentPlugIn</a>( <span class="keywordtype">void</span> )<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mCurrExternalTextureSource; }
<a name="l00068"></a>00068     
<a name="l00071"></a>00071         <span class="keywordtype">void</span> destroyAdvancedTexture( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; sTextureName,
<a name="l00072"></a>00072             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName = <a class="code" href="classOgre_1_1ResourceGroupManager.html#a62561ccf5ff323942a9a4fab94bee7e3" title="Default resource group name.">ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME</a>);
<a name="l00073"></a>00073 
<a name="l00076"></a>00076         <a class="code" href="classOgre_1_1ExternalTextureSource.html" title="IMPORTANT: **Plugins must override default dictionary name!** Base class that texture plugins derive ...">ExternalTextureSource</a>* getExternalTextureSource( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; sTexturePlugInType );
<a name="l00077"></a>00077 
<a name="l00079"></a>00079         <span class="keywordtype">void</span> setExternalTextureSource( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; sTexturePlugInType, <a class="code" href="classOgre_1_1ExternalTextureSource.html" title="IMPORTANT: **Plugins must override default dictionary name!** Base class that texture plugins derive ...">ExternalTextureSource</a>* pTextureSystem );
<a name="l00080"></a>00080 
<a name="l00096"></a>00096         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ExternalTextureSourceManager.html" title="Singleton Class which handles the registering and control of texture plugins.">ExternalTextureSourceManager</a>&amp; getSingleton(<span class="keywordtype">void</span>);
<a name="l00112"></a>00112         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ExternalTextureSourceManager.html" title="Singleton Class which handles the registering and control of texture plugins.">ExternalTextureSourceManager</a>* getSingletonPtr(<span class="keywordtype">void</span>);
<a name="l00113"></a>00113     <span class="keyword">protected</span>:
<a name="l00114"></a>00114         <span class="comment">//The current texture controller selected</span>
<a name="l00115"></a><a class="code" href="classOgre_1_1ExternalTextureSourceManager.html#a3fd987d85d6322393bd7bff67380a5e3">00115</a>         <a class="code" href="classOgre_1_1ExternalTextureSource.html" title="IMPORTANT: **Plugins must override default dictionary name!** Base class that texture plugins derive ...">ExternalTextureSource</a>* <a class="code" href="classOgre_1_1ExternalTextureSourceManager.html#a3fd987d85d6322393bd7bff67380a5e3">mCurrExternalTextureSource</a>;
<a name="l00116"></a>00116         
<a name="l00117"></a>00117         <span class="comment">// Collection of loaded texture System PlugIns, keyed by registered type</span>
<a name="l00118"></a><a class="code" href="classOgre_1_1ExternalTextureSourceManager.html#a43050d8fec91eda51ccf62fa30d200f2">00118</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt; String, ExternalTextureSource*&gt;::type</a> <a class="code" href="classOgre_1_1ExternalTextureSourceManager.html#a43050d8fec91eda51ccf62fa30d200f2">TextureSystemList</a>;
<a name="l00119"></a><a class="code" href="classOgre_1_1ExternalTextureSourceManager.html#a4db0f7fa2d401e44f94b0452f188e6b1">00119</a>         <a class="code" href="classOgre_1_1ExternalTextureSourceManager.html#a43050d8fec91eda51ccf62fa30d200f2">TextureSystemList</a> <a class="code" href="classOgre_1_1ExternalTextureSourceManager.html#a4db0f7fa2d401e44f94b0452f188e6b1">mTextureSystems</a>;
<a name="l00120"></a>00120     };
<a name="l00123"></a>00123 } 
<a name="l00124"></a>00124 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
